#!/usr/bin/ksh

#-----------------------------------------------------------------------------------------
#--
#-- Copyright (c) 2009-2012 ProactiveRA
#--
#-- This script is free software; you can redistribute it and/or modify it under
#-- the terms of the GNU Lesser General Public License as published by the Free
#-- Software Foundation; either version 3 of the License, or (at your option)
#-- any later version.
#--
#-- This script is distributed in the hope that it will be useful, but WITHOUT
#-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#-- FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
#-- details.
#--
#-- You should have received a copy of the GNU Lesser General Public License
#-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
#--
#-----------------------------------------------------------------------------------------


choice=-1

while [ $choice -ne 0 ]
do

    clear

    echo ""; echo ""; echo ""
    echo "    ###############################################"
    echo "    #                                             #"
    echo "    #            - REVENUE ASSURANCE -            #"
    echo "    #              Billing Validation             #"
    echo "    #                                             #"
    echo "    ###############################################"
    echo ""
    echo ""
    echo "Main Menu"
    echo "---------"
    echo "  1) Extract Data from Source Database or Local/Remote directory"
    echo "  2) Load Data Source"
    echo "  3) Purge Files"
    echo ""
    echo "  0) Exit"
    echo ""
    echo "Select your option: "
    read choice

    case "$choice" in
     1)  ./extract.ksh;;
     2 ) ./load.ksh ;;
     3 ) ./purge_files.ksh ;;
     0 ) clear; exit 1 ;;
     *)  clear; echo "Wrong option entered"; echo "Press Enter"; read unused; choice=-1;;
    esac

done
